org.apache.uima.cas.impl

## Class LongArrayFSImpl

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.cas.impl.FeatureStructureImplC
    - - org.apache.uima.cas.impl.CommonAuxArrayFSImpl
      - - org.apache.uima.cas.impl.LongArrayFSImpl

- All Implemented Interfaces:
    Cloneable, CommonArrayFS, FeatureStructure, LongArrayFS

      public class LongArrayFSImpl
      extends CommonAuxArrayFSImpl
      implements LongArrayFS

  Implementation of the `ArrayFS` interface.

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `addr, casImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongArrayFSImpl(int addr, CASImpl cas)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(long[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external array into this array.
    `void` | `copyFromArray(String[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external string array into this array.
    `void` | `copyToArray(int srcOffset, long[] dest, int destOffset, int length)` Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
    `void` | `copyToArray(int srcOffset, String[] dest, int destOffset, int length)` Copy the contents of the array to an external string array.
    `long` | `get(int i)` Get the i-th element from the array.
    `void` | `set(int i, long val)` Set the i-th value.
    `int` | `size()` Return the size of the array.
    `long[]` | `toArray()` Creates a new array the this array is copied to.
    `String[]` | `toStringArray()` Creates a new string array and copies this array values into it.

    - ### Methods inherited from class org.apache.uima.cas.impl.CommonAuxArrayFSImpl

      `copyFromJavaArray, copyToJavaArray, toArray`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `equals, getAddress, getCAS, getCASImpl, hashCode`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Constructor Detail

    - #### LongArrayFSImpl

          public LongArrayFSImpl(int addr,
                                 CASImpl cas)

  - ### Method Detail

    - #### size

          public int size()

      Description copied from interface: `CommonArrayFS`
      Return the size of the array.
      Specified by:
        `size` in interface `CommonArrayFS`
      Overrides:
        `size` in class `CommonAuxArrayFSImpl`
      Returns:
        -
      See Also:
        `ArrayFS.size()`

    - #### get

          public long get(int i)

      Description copied from interface: `LongArrayFS`
      Get the i-th element from the array.
      Specified by:
        `get` in interface `LongArrayFS`
      Parameters:
        `i` - the index
      Returns:
        The i-th element.
      See Also:
        `ArrayFS.get(int)`

    - #### set

          public void set(int i,
                          long val)
                   throws ArrayIndexOutOfBoundsException

      Description copied from interface: `LongArrayFS`
      Set the i-th value.
      Specified by:
        `set` in interface `LongArrayFS`
      Parameters:
        `i` - The index.
        `val` - The value.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `i` is out of bounds.
      See Also:
        `ArrayFS.set(int, FeatureStructure)`

    - #### copyFromArray

          public void copyFromArray(long[] src,
                                    int srcOffset,
                                    int destOffset,
                                    int length)
                             throws ArrayIndexOutOfBoundsException

      Description copied from interface: `LongArrayFS`
      Copy the contents of an external array into this array.
      Specified by:
        `copyFromArray` in interface `LongArrayFS`
      Parameters:
        `src` - The source array.
        `srcOffset` - Where to start copying in the source array.
        `destOffset` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException`
      See Also:
        `ArrayFS.copyFromArray(FeatureStructure[], int, int, int)`

    - #### copyToArray

          public void copyToArray(int srcOffset,
                                  long[] dest,
                                  int destOffset,
                                  int length)
                           throws ArrayIndexOutOfBoundsException

      Description copied from interface: `LongArrayFS`
      Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
      Specified by:
        `copyToArray` in interface `LongArrayFS`
      Parameters:
        `srcOffset` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destOffset` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.
      See Also:
        `ArrayFS.copyToArray(int, FeatureStructure[], int, int)`

    - #### toArray

          public long[] toArray()

      Description copied from interface: `LongArrayFS`
      Creates a new array the this array is copied to.
      Specified by:
        `toArray` in interface `LongArrayFS`
      Returns:
        A Java array copy of this FS array.
      See Also:
        `ArrayFS.toArray()`

    - #### toStringArray

          public String[] toStringArray()

      Description copied from interface: `CommonArrayFS`
      Creates a new string array and copies this array values into it.
      Specified by:
        `toStringArray` in interface `CommonArrayFS`
      Overrides:
        `toStringArray` in class `CommonAuxArrayFSImpl`
      Returns:
        A Java array copy of this array.

    - #### copyToArray

          public void copyToArray(int srcOffset,
                                  String[] dest,
                                  int destOffset,
                                  int length)
                           throws ArrayIndexOutOfBoundsException

      Description copied from interface: `CommonArrayFS`
      Copy the contents of the array to an external string array.
      Specified by:
        `copyToArray` in interface `CommonArrayFS`
      Specified by:
        `copyToArray` in class `CommonAuxArrayFSImpl`
      Parameters:
        `srcOffset` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destOffset` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.

    - #### copyFromArray

          public void copyFromArray(String[] src,
                                    int srcOffset,
                                    int destOffset,
                                    int length)
                             throws ArrayIndexOutOfBoundsException

      Description copied from interface: `CommonArrayFS`
      Copy the contents of an external string array into this array. The strings are parsed and converted to floats.
      Specified by:
        `copyFromArray` in interface `CommonArrayFS`
      Parameters:
        `src` - The source array.
        `srcOffset` - Where to start copying in the source array.
        `destOffset` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      Throws:
        `ArrayIndexOutOfBoundsException` - When length conditions are not met.

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.